# :stopdoc:

unless defined?(Betatest) then
  # all of this crap is just to avoid circular requires and is only
  # needed if a user requires "betatest/unit" directly instead of
  # "betatest/autorun", so we also warn

  from = caller.reject { |s| s =~ /rubygems/ }.join("\n  ")
  warn "Warning: you should require 'betatest/autorun' instead."
  warn %(Warning: or add 'gem "betatest"' before 'require "betatest/autorun"')
  warn "From:\n  #{from}"

  module Betatest; end
  MiniTest = Betatest # prevents betatest.rb from requiring back to us
  require "betatest"
end

MiniTest = Betatest unless defined?(MiniTest)

module Betatest
  class Unit
    VERSION = Betatest::VERSION
    class TestCase < Betatest::Test
      def self.inherited klass # :nodoc:
        from = caller.first
        warn "MiniTest::Unit::TestCase is now Betatest::Test. From #{from}"
        super
      end
    end

    def self.autorun # :nodoc:
      from = caller.first
      warn "MiniTest::Unit.autorun is now Betatest.autorun. From #{from}"
      Betatest.autorun
    end

    def self.after_tests(&b)
      from = caller.first
      warn "MiniTest::Unit.after_tests is now Betatest.after_run. From #{from}"
      Betatest.after_run(&b)
    end
  end
end

# :startdoc:
